<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#ECEFF4"
    tools:context=".ui.activity.scanqrc.QrcResultActivity">

    <FrameLayout
        android:id="@+id/fl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="10dp"
            tools:ignore="UselessParent">

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <ImageView

                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/h_fanhui"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="Scan Result"
                android:textColor="@color/black"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </FrameLayout>

    <androidx.cardview.widget.CardView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="20dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="15dp"
        app:cardMaxElevation="0dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/fl_top">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_time"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="12.5dp"
                android:layout_marginTop="18dp"
                android:textColor="#6F6F70"
                android:textSize="14sp"
                tools:text="2024.08.27 13:32" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginTop="12.5dp"
                android:background="#E5E6EB" />

            <ImageView
                android:id="@+id/iv_type"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="12dp"
                android:src="@mipmap/ticon"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/tv_qrcodevalue"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginHorizontal="8dp"
                android:layout_marginTop="13dp"
                android:gravity="center"
                android:textSize="15sp"
                tools:text="60-6d8cc2df156245ab8c030e9260518611" />


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="23dp"
                android:layout_marginBottom="8dp"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/ll_copy"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="30dp"
                    android:orientation="vertical"
                    tools:ignore="UseCompoundDrawables">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:src="@mipmap/copy_qrcr"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:text="Copy"
                        tools:ignore="HardcodedText" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_search"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="30dp"
                    android:orientation="vertical"
                    tools:ignore="UseCompoundDrawables">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:src="@mipmap/search_qrcr"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:text="Search"
                        tools:ignore="HardcodedText" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_share"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="30dp"
                    android:orientation="vertical"
                    tools:ignore="UseCompoundDrawables">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:src="@mipmap/share_qrcr"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:text="Share"
                        tools:ignore="HardcodedText" />

                </LinearLayout>


            </LinearLayout>


            <View
                android:id="@+id/line2"
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginTop="27dp"
                android:background="#E5E6EB"
                android:visibility="gone" />

            <FrameLayout
                android:id="@+id/fl_ad"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <!--                <include layout="@layout/layout_admob_native_qrcr" />-->
            </FrameLayout>

        </LinearLayout>

    </androidx.cardview.widget.CardView>

</androidx.constraintlayout.widget.ConstraintLayout>